/*
 * MockJDBCHandler.java
 *
 * Created on 15. April 2004, 09:10
 */

package org.jconfig.handler;

import java.sql.Connection;
import java.sql.DriverManager;

import org.jconfig.ConfigurationManagerException;
import org.jconfig.utils.ConfigurationUtils;
/**
 *
 * @author  mecky
 */
public class MockJDBCHandler extends JDBCHandler {
        
    public MockJDBCHandler() {
    }
    
    protected Connection JDBCLogin() throws ConfigurationManagerException {        
        try {
            Class.forName("org.hsqldb.jdbcDriver"); 
            String dbName = ConfigurationUtils.getFileFromInputStream("configDB").getAbsolutePath();                
            return DriverManager.getConnection("jdbc:hsqldb:"+ dbName,"sa","");            
        }
        catch (Exception e) {            
            throw new ConfigurationManagerException("Cannot load the jdbc driver:"+e.getMessage());
        }    
    }
    
}
